Bug 2363 - printer driver deletion not possible even when not (really) in use
Summary: printer driver deletion not possible even when not (really) in use
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Printing (show other bugs)
Version: 3.0.11
Hardware: x86 All
: P3 normal
Target Milestone: none
Assignee: Gerald (Jerry) Carter
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-20 04:39 UTC by Christoph Peus
Modified: 2005-08-24 10:22 UTC (History)
0 users

See Also:


Attachments
fix "printer driver in use" check (2.63 KB, patch)
2005-03-07 15:04 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Peus 2005-02-20 04:39:00 UTC
Samba (3.0.11) seems to behave different here than a "real" Windows printer
server: using Windows you can delete as many different architecture specific
drivers as you like, even when they are associated to an existing printer - as
long as there's at least one architecture's driver left for the printer. This
concept makes perfect sense to me.
With samba it seems that all architecture's drivers are "in use" as long as they
are associated to a printer and therefore cannot be deleted as long as the
printer exists.
Comment 1 Gerald (Jerry) Carter 2005-03-07 15:04:54 UTC
Created attachment 1013 [details]
fix "printer driver in use" check

allow any driver to be delete when it is in use as long 
as there is one "Windows NT x86" driver left (version 2 or 3).
Comment 2 Gerald (Jerry) Carter 2005-03-07 15:05:11 UTC
fixed checked into SAMBA_3_0 svn.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:22:08 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.